Schema "fpml-ird-5-5.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/pretrade

Version:

  $Revision: 10157 $

Defined Components:

  3 global elements, 192 local elements, 54 complexTypes, 3 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Users\mkoli\FpML Specifications\trunk\xml\pretrade\fpml-ird-5-5.xsd; see XML source

Includes Schema:

  fpml-asset-5-5.xsd [src]

Included in Schema:

  fpml-main-5-5.xsd [src]

All Element Summary
additionalPayment | For use with Credit Limit Check messages.
Type: | Payment
Content: | complex, 2 attributes, 10 elements
Defined: | locally witnin Swap complexType; see XML source
additionalTerms | For use with Credit Limit Check messages.
Type: | SwapAdditionalTerms
Content: | complex, 1 element
Defined: | locally witnin Swap complexType; see XML source
adjustableDates (in cashSettlementPaymentDate) | A series of dates that shall be subject to adjustment if they would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date.
Type: | AdjustableDates
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CashSettlementPaymentDate complexType; see XML source
adjustedCashSettlementPaymentDate (in earlyTerminationEvent) | The date on which the cash settlement amount is paid.
Type: | xsd:date
Content: | simple
Defined: | locally witnin EarlyTerminationEvent complexType; see XML source
adjustedCashSettlementPaymentDate (in mandatoryEarlyTerminationAdjustedDates) | The date on which the cash settlement amount is paid.
Type: | xsd:date
Content: | simple
Defined: | locally witnin MandatoryEarlyTerminationAdjustedDates complexType; see XML source
adjustedCashSettlementValuationDate (in earlyTerminationEvent) | The date by which the cash settlement amount must be agreed.
Type: | xsd:date
Content: | simple
Defined: | locally witnin EarlyTerminationEvent complexType; see XML source
adjustedCashSettlementValuationDate (in mandatoryEarlyTerminationAdjustedDates) | The date by which the cash settlement amount must be agreed.
Type: | xsd:date
Content: | simple
Defined: | locally witnin MandatoryEarlyTerminationAdjustedDates complexType; see XML source
adjustedEarlyTerminationDate (in cancellationEvent) | The early termination date that is applicable if an early termination provision is exercised.
Type: | xsd:date
Content: | simple
Defined: | locally witnin CancellationEvent complexType; see XML source
adjustedEarlyTerminationDate (in earlyTerminationEvent) | The early termination date that is applicable if an early termination provision is exercised.
Type: | xsd:date
Content: | simple
Defined: | locally witnin EarlyTerminationEvent complexType; see XML source
adjustedEarlyTerminationDate (in mandatoryEarlyTerminationAdjustedDates) | The early termination date that is applicable if an early termination provision is exercised.
Type: | xsd:date
Content: | simple
Defined: | locally witnin MandatoryEarlyTerminationAdjustedDates complexType; see XML source
adjustedEndDate | The calculation period end date, adjusted according to any relevant business day convention.
Type: | xsd:date
Content: | simple
Defined: | locally witnin CalculationPeriod complexType; see XML source
adjustedExerciseDate (in cancellationEvent) | The date on which option exercise takes place.
Type: | xsd:date
Content: | simple
Defined: | locally witnin CancellationEvent complexType; see XML source
adjustedExerciseDate (in earlyTerminationEvent) | The date on which option exercise takes place.
Type: | xsd:date
Content: | simple
Defined: | locally witnin EarlyTerminationEvent complexType; see XML source
adjustedExerciseDate (in extensionEvent) | The date on which option exercise takes place.
Type: | xsd:date
Content: | simple
Defined: | locally witnin ExtensionEvent complexType; see XML source
adjustedExerciseFeePaymentDate | The date on which the exercise fee amount is paid.
Type: | xsd:date
Content: | simple
Defined: | locally witnin EarlyTerminationEvent complexType; see XML source
adjustedExtendedTerminationDate | The termination date if an extendible provision is exercised.
Type: | xsd:date
Content: | simple
Defined: | locally witnin ExtensionEvent complexType; see XML source
adjustedFxSpotFixingDate | The date on which the fx spot rate is observed.
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxLinkedNotionalAmount complexType; see XML source
adjustedPaymentDate (in paymentCalculationPeriod) | The adjusted payment date.
Type: | xsd:date
Content: | simple
Defined: | locally witnin PaymentCalculationPeriod complexType; see XML source
adjustedPrincipalExchangeDate | The principal exchange date.
Type: | xsd:date
Content: | simple
Defined: | locally witnin PrincipalExchange complexType; see XML source
adjustedStartDate | The calculation period start date, adjusted according to any relevant business day convention.
Type: | xsd:date
Content: | simple
Defined: | locally witnin CalculationPeriod complexType; see XML source
bondReference | Reference to a bond underlyer to represent an asset swap or Condition Precedent Bond.
Type: | BondReference
Content: | complex, 3 elements
Defined: | locally witnin SwapAdditionalTerms complexType; see XML source
businessDateRange | A range of contiguous business days.
Type: | BusinessDateRange
Content: | complex, 4 elements
Defined: | locally witnin CashSettlementPaymentDate complexType; see XML source
businessDayConvention (in finalCalculationPeriodDateAdjustment) | Override business date convention.
Type: | BusinessDayConventionEnum
Content: | simple
Defined: | locally witnin FinalCalculationPeriodDateAdjustment complexType; see XML source
businessDayConvention (in fxFixingDate) | The convention for adjusting a date if it would otherwise fall on a day that is not a business day.
Type: | BusinessDayConventionEnum
Content: | simple
Defined: | locally witnin FxFixingDate complexType; see XML source
calculatedRate | The final calculated rate for a calculation period after any required averaging of rates A calculated rate of 5% would be represented as 0.05.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin FloatingRateDefinition complexType; see XML source
calculation | The parameters used in the calculation of fixed or floaring rate calculation period amounts.
Type: | Calculation
Content: | complex, 8 elements
Defined: | locally witnin CalculationPeriodAmount complexType; see XML source
calculationAgent (in mandatoryEarlyTermination) | The ISDA Calculation Agent responsible for performing duties associated with an optional early termination.
Type: | CalculationAgent
Content: | complex, 1 element
Defined: | locally witnin MandatoryEarlyTermination complexType; see XML source
calculationAgent (in optionalEarlyTermination) | The ISDA Calculation Agent responsible for performing duties associated with an optional early termination.
Type: | CalculationAgent
Content: | complex, 1 element
Defined: | locally witnin OptionalEarlyTermination complexType; see XML source
calculationAgentDetermination | The calculation agent will decide the rate.
Type: | CalculationAgent
Content: | complex, 1 element
Defined: | locally witnin FallbackReferencePrice complexType; see XML source
calculationPeriod | The parameters used in the calculation of a fixed or floating rate calculation period amount.
Type: | CalculationPeriod
Content: | complex, 1 attribute, 12 elements
Defined: | locally witnin PaymentCalculationPeriod complexType; see XML source
calculationPeriodAmount | The calculation period amount parameters.
Type: | CalculationPeriodAmount
Content: | complex, 1 element
Defined: | locally witnin InterestRateStream complexType; see XML source
calculationPeriodDates | The calculation periods dates schedule.
Type: | CalculationPeriodDates
Content: | complex, 1 attribute, 11 elements
Defined: | locally witnin InterestRateStream complexType; see XML source
calculationPeriodDatesAdjustments (in calculationPeriodDates) | The business day convention to apply to each calculation period end date if it would otherwise fall on a day that is not a business day in the specified financial business centers.
Type: | BusinessDayAdjustments
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CalculationPeriodDates complexType; see XML source
calculationPeriodDatesReference (in dateRelativeToCalculationPeriodDates) | A set of href pointers to calculation period dates defined somewhere else in the document.
Type: | CalculationPeriodDatesReference
Content: | empty, 1 attribute
Defined: | locally witnin DateRelativeToCalculationPeriodDates complexType; see XML source
calculationPeriodDatesReference (in notionalStepParameters) | A pointer style reference to the associated calculation period dates component defined elsewhere in the document.
Type: | CalculationPeriodDatesReference
Content: | empty, 1 attribute
Defined: | locally witnin NotionalStepRule complexType; see XML source
calculationPeriodDatesReference (in paymentDates) | A pointer style reference to the associated calculation period dates component defined elsewhere in the document.
Type: | CalculationPeriodDatesReference
Content: | empty, 1 attribute
Defined: | locally witnin PaymentDates complexType; see XML source
calculationPeriodDatesReference (in resetDates) | A pointer style reference to the associated calculation period dates component defined elsewhere in the document.
Type: | CalculationPeriodDatesReference
Content: | empty, 1 attribute
Defined: | locally witnin ResetDates complexType; see XML source
calculationPeriodDatesReference (in stubCalculationPeriodAmount) | For use with Credit Limit Check messages.
Type: | CalculationPeriodDatesReference
Content: | empty, 1 attribute
Defined: | locally witnin StubCalculationPeriodAmount complexType; see XML source
calculationPeriodFrequency (in calculationPeriodDates) | The frequency at which calculation period end dates occur with the regular part of the calculation period schedule and their roll date convention.
Type: | CalculationPeriodFrequency
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CalculationPeriodDates complexType; see XML source
calculationPeriodNumberOfDays (in calculationPeriod) | The number of days from the adjusted effective / start date to the adjusted termination / end date calculated in accordance with the applicable day count fraction.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin CalculationPeriod complexType; see XML source
cancelableProvision | For use with Credit Limit Check messages.
Type: | CancelableProvision
Content: | complex, 10 elements
Defined: | locally witnin Swap complexType; see XML source
cancelableProvisionAdjustedDates | The adjusted dates associated with a cancelable provision.
Type: | CancelableProvisionAdjustedDates
Content: | complex, 1 element
Defined: | locally witnin CancelableProvision complexType; see XML source
cancellationEvent | The adjusted dates for an individual cancellation date.
Type: | CancellationEvent
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CancelableProvisionAdjustedDates complexType; see XML source
capRate | The cap rate, if any, which applies to the floating rate for the calculation period.
Type: | Strike
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin FloatingRateDefinition complexType; see XML source
cashflows | For use with pretrade Credit Limit Check messages.
Type: | Cashflows
Content: | complex, 3 elements
Defined: | locally witnin InterestRateStream complexType; see XML source
cashflowsMatchParameters | A true/false flag to indicate whether the cashflows match the parametric definition of the stream, i.e. whether the cashflows could be regenerated from the parameters without loss of information.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin Cashflows complexType; see XML source
cashPriceAlternateMethod | An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount.
Type: | CashPriceMethod
Content: | complex, 3 elements
Defined: | locally witnin CashSettlement complexType; see XML source
cashPriceMethod | An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount.
Type: | CashPriceMethod
Content: | complex, 3 elements
Defined: | locally witnin CashSettlement complexType; see XML source
cashSettlement (in mandatoryEarlyTermination) | If specified, this means that cash settlement is applicable to the transaction and defines the parameters associated with the cash settlement prodcedure.
Type: | CashSettlement
Content: | complex, 1 attribute, 10 elements
Defined: | locally witnin MandatoryEarlyTermination complexType; see XML source
cashSettlement (in optionalEarlyTermination) | If specified, this means that cash settlement is applicable to the transaction and defines the parameters associated with the cash settlement prodcedure.
Type: | CashSettlement
Content: | complex, 1 attribute, 10 elements
Defined: | locally witnin OptionalEarlyTermination complexType; see XML source
cashSettlementCurrency (defined in CashPriceMethod complexType) | The currency in which the cash settlement amount will be calculated and settled.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin CashPriceMethod complexType; see XML source
cashSettlementCurrency (in crossCurrencyMethod) | The currency, or currencies, in which the cash settlement amount(s) will be calculated and settled.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin CrossCurrencyMethod complexType; see XML source
cashSettlementPaymentDate | The date on which the cash settlement amount will be paid, subject to adjustment in accordance with any applicable business day convention.
Type: | CashSettlementPaymentDate
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CashSettlement complexType; see XML source
cashSettlementReferenceBanks (defined in CashPriceMethod complexType) | A container for a set of reference institutions.
Type: | CashSettlementReferenceBanks
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CashPriceMethod complexType; see XML source
cashSettlementReferenceBanks (in crossCurrencyMethod) | A container for a set of reference institutions.
Type: | CashSettlementReferenceBanks
Content: | complex, 1 attribute, 1 element
Defined: | locally witnin CrossCurrencyMethod complexType; see XML source
cashSettlementValuationDate | The date on which the cash settlement amount will be determined according to the cash settlement method if the parties have not otherwise been able to agree the cash settlement amount.
Type: | RelativeDateOffset
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin CashSettlement complexType; see XML source
cashSettlementValuationTime | The time of the cash settlement valuation date when the cash settlement amount will be determined according to the cash settlement method if the parties have not otherwise been able to agree the cash settlement amount.
Type: | BusinessCenterTime
Content: | complex, 2 elements
Defined: | locally witnin CashSettlement complexType; see XML source
collateralizedCashPriceMethod | An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount.
Type: | YieldCurveMethod
Content: | complex, 2 elements
Defined: | locally witnin CashSettlement complexType; see XML source
compoundingMethod | If more that one calculation period contributes to a single payment amount this element specifies whether compounding is applicable, and if so, what compounding method is to be used.
Type: | CompoundingMethodEnum
Content: | simple
Defined: | locally witnin Calculation complexType; see XML source
conditionPrecedentBond | To indicate whether the Condition Precedent Bond is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin BondReference complexType; see XML source
constantNotionalScheduleReference | A pointer style reference to the associated constant notional schedule defined elsewhere in the document which contains the currency amounts which will be converted into the varying notional currency amounts using the spot currency exchange rate.
Type: | NotionalReference
Content: | empty, 1 attribute
Defined: | locally witnin FxLinkedNotionalSchedule complexType; see XML source
crossCurrencyMethod | An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount.
Type: | CrossCurrencyMethod
Content: | complex, 3 elements
Defined: | locally witnin CashSettlement complexType; see XML source
dateRelativeToCalculationPeriodDates | The calculation period references on which settlements in non-deliverable currency are due and will then have to be converted according to the terms specified through the other parts of the nonDeliverableSettlement structure.
Type: | DateRelativeToCalculationPeriodDates
Content: | complex, 1 element
Defined: | locally witnin FxFixingDate complexType; see XML source
dateRelativeToPaymentDates | The payment date references on which settlements in non-deliverable currency are due and will then have to be converted according to the terms specified through the other parts of the nonDeliverableSettlement structure.
Type: | DateRelativeToPaymentDates
Content: | complex, 1 element
Defined: | locally witnin FxFixingDate complexType; see XML source
dayCountFraction (in calculation) | The day count fraction.
Type: | DayCountFraction
Content: | simple, 1 attribute
Defined: | locally witnin Calculation complexType; see XML source
dayCountYearFraction | The year fraction value of the calculation period, result of applying the ISDA rules for day count fraction defined in the ISDA Annex.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CalculationPeriod complexType; see XML source
discountFactor (in paymentCalculationPeriod) | A decimal value representing the discount factor used to calculate the present value of cash flow.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin PaymentCalculationPeriod complexType; see XML source
discountFactor (in principalExchange) | The value representing the discount factor used to calculate the present value of the principal exchange amount.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin PrincipalExchange complexType; see XML source
discounting | For Credit Limit Check messages.
Type: | Discounting
Content: | complex, 3 elements
Defined: | locally witnin Calculation complexType; see XML source
discountingType | The discounting method that is applicable.
Type: | DiscountingTypeEnum
Content: | simple
Defined: | locally witnin Discounting complexType; see XML source
discountRate | A discount rate, expressed as a decimal, to be used in the calculation of a discounted amount.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin DiscountRate.model group; see XML source
discountRateDayCountFraction | A discount day count fraction to be used in the calculation of a discounted amount.
Type: | DayCountFraction
Content: | simple, 1 attribute
Defined: | locally witnin DiscountRate.model group; see XML source
discrepancyClause | To indicate whether the Discrepancy Clause is applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin BondReference complexType; see XML source
earliestExerciseDateTenor | The time interval to the first (and possibly only) exercise date in the exercise period.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ExercisePeriod complexType; see XML source
earlyTerminationEvent | The adjusted dates associated with an individual earley termination date.
Type: | EarlyTerminationEvent
Content: | complex, 1 attribute, 5 elements
Defined: | locally witnin OptionalEarlyTerminationAdjustedDates complexType; see XML source
earlyTerminationProvision | For use with Credit Limit Check messages.
Type: | EarlyTerminationProvision
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin Swap complexType; see XML source
effectiveDate (in calculationPeriodDates) | The first day of the term of the trade.
Type: | AdjustableDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CalculationPeriodDates complexType; see XML source
exerciseFrequency | The frequency of subsequent exercise dates in the exercise period following the earliest exercise date.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ExercisePeriod complexType; see XML source
exerciseNotice (in cancelableProvision) | Definition of the party to whom notice of exercise should be given.
Type: | ExerciseNotice
Content: | complex, 3 elements
Defined: | locally witnin CancelableProvision complexType; see XML source
exerciseNotice (in extendibleProvision) | Definition of the party to whom notice of exercise should be given.
Type: | ExerciseNotice
Content: | complex, 3 elements
Defined: | locally witnin ExtendibleProvision complexType; see XML source
exerciseNotice (in optionalEarlyTermination) | Definition of the party to whom notice of exercise should be given.
Type: | ExerciseNotice
Content: | complex, 3 elements
Defined: | locally witnin OptionalEarlyTermination complexType; see XML source
extendibleProvision | For use with Credit Limit Check messages.
Type: | ExtendibleProvision
Content: | complex, 8 elements
Defined: | locally witnin Swap complexType; see XML source
extendibleProvisionAdjustedDates | The adjusted dates associated with an extendible provision.
Type: | ExtendibleProvisionAdjustedDates
Content: | complex, 1 element
Defined: | locally witnin ExtendibleProvision complexType; see XML source
extensionEvent | The adjusted dates associated with a single extendible exercise date.
Type: | ExtensionEvent
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ExtendibleProvisionAdjustedDates complexType; see XML source
fallbackReferencePrice | The method, prioritzed by the order it is listed in this element, to get a replacement rate for the disrupted settlement rate option.
Type: | FallbackReferencePrice
Content: | complex, 4 elements
Defined: | locally witnin PriceSourceDisruption complexType; see XML source
fallbackSettlementRateOption | This settlement rate option will be used in its place.
Type: | SettlementRateOption
Content: | simple, 1 attribute
Defined: | locally witnin FallbackReferencePrice complexType; see XML source
fallbackSurveyValuationPostponenment | Request rate quotes from the market.
Type: | Empty
Content: | empty
Defined: | locally witnin FallbackReferencePrice complexType; see XML source
finalCalculationPeriodDateAdjustment | Business date convention adjustment to final payment period per leg (swapStream) upon exercise event.
Type: | FinalCalculationPeriodDateAdjustment
Content: | complex, 3 elements
Defined: | locally witnin CancelableProvision complexType; see XML source
finalStub | Specifies how the final stub amount is calculated.
Type: | StubValue
Content: | complex, 1 element
Defined: | locally witnin StubCalculationPeriodAmount complexType; see XML source
firstCompoundingPeriodEndDate | The end date of the initial compounding period when compounding is applicable.
Type: | xsd:date
Content: | simple
Defined: | locally witnin CalculationPeriodDates complexType; see XML source
firstNotionalStepDate | Effective date of the first change in notional (i.e. a calculation period start date).
Type: | xsd:date
Content: | simple
Defined: | locally witnin NotionalStepRule complexType; see XML source
firstPaymentDate (in paymentDates) | The first unadjusted payment date.
Type: | xsd:date
Content: | simple
Defined: | locally witnin PaymentDates complexType; see XML source
firstPeriodStartDate (in calculationPeriodDates) | For use with pretrade Credit Limit Check messages.
Type: | AdjustableDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CalculationPeriodDates complexType; see XML source
firstRegularPeriodStartDate | The start date of the regular part of the calculation period schedule.
Type: | xsd:date
Content: | simple
Defined: | locally witnin CalculationPeriodDates complexType; see XML source
fixedPaymentAmount | A known fixed payment amount.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin PaymentCalculationPeriod complexType; see XML source
fixedRate (in calculationPeriod) | The calculation period fixed rate.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CalculationPeriod complexType; see XML source
fixedRateSchedule | The fixed rate or fixed rate schedule expressed as explicit fixed rates and dates.
Type: | Schedule
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Calculation complexType; see XML source
fixingDates | Specifies the fixing date relative to the reset date in terms of a business days offset and an associated set of financial business centers.
Type: | RelativeDateOffset
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin ResetDates complexType; see XML source
floatingRateCalculation | A floating rate calculation definition.
Type: | FloatingRateCalculation
Content: | complex, 1 attribute, 7 elements
Subst.Gr: | may substitute for element rateCalculation
Defined: | globally; see XML source
Used: | never
floatingRateDefinition | The floating rate reset information for the calculation period.
Type: | FloatingRateDefinition
Content: | complex, 6 elements
Defined: | locally witnin CalculationPeriod complexType; see XML source
floatingRateMultiplier | A rate multiplier to apply to the floating rate.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin FloatingRateDefinition complexType; see XML source
floorRate | The floor rate, if any, which applies to the floating rate for the calculation period.
Type: | Strike
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin FloatingRateDefinition complexType; see XML source
followUpConfirmation (in cancelableProvision) | A flag to indicate whether follow-up confirmation of exercise (written or electronic) is required following telephonic notice by the buyer to the seller or seller's agent.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin CancelableProvision complexType; see XML source
followUpConfirmation (in extendibleProvision) | A flag to indicate whether follow-up confirmation of exercise (written or electronic) is required following telephonic notice by the buyer to the seller or seller's agent.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin ExtendibleProvision complexType; see XML source
followUpConfirmation (in optionalEarlyTermination) | A flag to indicate whether follow-up confirmation of exercise (written or electronic) is required following telephonic notice by the buyer to the seller or seller's agent.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin OptionalEarlyTermination complexType; see XML source
forecastAmount | The amount representing the forecast of the accrued value of the calculation period.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CalculationPeriod complexType; see XML source
forecastPaymentAmount | A monetary amount representing the forecast of the future value of the payment.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PaymentCalculationPeriod complexType; see XML source
forecastRate (in calculationPeriod) | A value representing the forecast rate used to calculate the forecast future value of the accrual period.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CalculationPeriod complexType; see XML source
formula (in swapStream) | For use with pretrade Credit Limit Check messages.
Type: | Formula
Content: | complex, 3 elements
Defined: | locally witnin InterestRateStream complexType; see XML source
futureValueNotional | For Credit Limit Check messages.
Type: | FutureValueAmount
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin Calculation complexType; see XML source
fxFixingDate | The date, when expressed as a relative date, on which the currency rate will be determined for the purpose of specifying the amount in deliverable currency.
Type: | FxFixingDate
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin NonDeliverableSettlement complexType; see XML source
fxFixingSchedule | The date, when expressed as a schedule of date(s), on which the currency rate will be determined for the purpose of specifying the amount in deliverable currency.
Type: | AdjustableDates
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin NonDeliverableSettlement complexType; see XML source
fxLinkedNotionalAmount | The amount that a cashflow will accrue interest on.
Type: | FxLinkedNotionalAmount
Content: | complex, 4 elements
Defined: | locally witnin CalculationPeriod complexType; see XML source
fxLinkedNotionalSchedule | For use with pre-trade Credit Limit Check messages.A notional amount schedule where each notional that applied to a calculation period is calculated with reference to a notional amount or notional amount schedule in a different currency by means of a spot currency exchange rate which is normally observed at the beginning of each period.
Type: | FxLinkedNotionalSchedule
Content: | complex, 6 elements
Defined: | locally witnin Calculation complexType; see XML source
fxSpotRateSource (in fxLinkedNotionalSchedule) | The information source and time at which the spot currency exchange rate will be observed.
Type: | FxSpotRateSource
Content: | complex, 3 elements
Defined: | locally witnin FxLinkedNotionalSchedule complexType; see XML source
initialFee | An initial fee for the cancelable option.
Type: | SimplePayment
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin CancelableProvision complexType; see XML source
initialFixingDate |
Type: | RelativeDateOffset
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin ResetDates complexType; see XML source
initialStub | Specifies how the initial stub amount is calculated.
Type: | StubValue
Content: | complex, 1 element
Defined: | locally witnin StubCalculationPeriodAmount complexType; see XML source
initialValue (in fxLinkedNotionalSchedule) | The initial currency amount for the varying notional.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin FxLinkedNotionalSchedule complexType; see XML source
lastNotionalStepDate | Effective date of the last change in notional (i.e. a calculation period start date).
Type: | xsd:date
Content: | simple
Defined: | locally witnin NotionalStepRule complexType; see XML source
lastRegularPaymentDate (in paymentDates) | For use of the pre-trade Credit Limit Check messages.
Type: | xsd:date
Content: | simple
Defined: | locally witnin PaymentDates complexType; see XML source
lastRegularPeriodEndDate | For use with pretrade Credit Limit Check messages.
Type: | xsd:date
Content: | simple
Defined: | locally witnin CalculationPeriodDates complexType; see XML source
mandatoryEarlyTermination | A mandatory early termination provision to terminate the swap at fair value.
Type: | MandatoryEarlyTermination
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin MandatoryEarlyTermination.model group; see XML source
mandatoryEarlyTerminationAdjustedDates | The adjusted dates associated with a mandatory early termination provision.
Type: | MandatoryEarlyTerminationAdjustedDates
Content: | complex, 3 elements
Defined: | locally witnin MandatoryEarlyTermination complexType; see XML source
mandatoryEarlyTerminationDate | The early termination date associated with a mandatory early termination of a swap.
Type: | AdjustableDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin MandatoryEarlyTermination complexType; see XML source
mandatoryEarlyTerminationDateTenor | Period after trade date of the mandatory early termination date.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin MandatoryEarlyTermination.model group; see XML source
maximumDaysOfPostponement | The maximum number of days to wait for a quote from the disrupted settlement rate option before proceding to the next method.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin ValuationPostponement complexType; see XML source
nonDeliverableSettlement | The specification of the non-deliverable settlement provision.
Type: | NonDeliverableSettlement
Content: | complex, 5 elements
Defined: | locally witnin SettlementProvision complexType; see XML source
notionalAmount (in calculationPeriod) | The amount that a cashflow will accrue interest on.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CalculationPeriod complexType; see XML source
notionalAmount (in fxLinkedNotionalAmount) | The calculation period notional amount.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin FxLinkedNotionalAmount complexType; see XML source
notionalSchedule | The notional amount or notional amount schedule.
Type: | Notional
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Calculation complexType; see XML source
notionalStepAmount | The explicit amount that the notional changes on each step date.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin NotionalStepRule complexType; see XML source
notionalStepParameters | For use with pre-trade Credit Limit Check messages.
Type: | NotionalStepRule
Content: | complex, 7 elements
Defined: | locally witnin Notional complexType; see XML source
notionalStepRate | The percentage amount by which the notional changes on each step date.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin NotionalStepRule complexType; see XML source
notionalStepSchedule | The notional amount or notional amount schedule expressed as explicit outstanding notional amounts and dates.
Type: | NonNegativeAmountSchedule
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin Notional complexType; see XML source
observedFxSpotRate | The actual observed fx spot rate.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin FxLinkedNotionalAmount complexType; see XML source
optionalEarlyTermination | An option for either or both parties to terminate the swap at fair value.
Type: | OptionalEarlyTermination
Content: | complex, 7 elements
Defined: | locally witnin OptionalEarlyTermination.model group; see XML source
optionalEarlyTerminationAdjustedDates | An early termination provision to terminate the trade at fair value where one or both parties have the right to decide on termination.
Type: | OptionalEarlyTerminationAdjustedDates
Content: | complex, 1 element
Defined: | locally witnin OptionalEarlyTermination complexType; see XML source
optionalEarlyTerminationParameters | Definition of the first early termination date and the frequency of the termination dates subsequent to that.
Type: | ExercisePeriod
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin OptionalEarlyTermination.model group; see XML source
parYieldCurveAdjustedMethod | An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount.
Type: | YieldCurveMethod
Content: | complex, 2 elements
Defined: | locally witnin CashSettlement complexType; see XML source
parYieldCurveUnadjustedMethod | An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount.
Type: | YieldCurveMethod
Content: | complex, 2 elements
Defined: | locally witnin CashSettlement complexType; see XML source
paymentCalculationPeriod | The adjusted payment date and associated calculation period parameters required to calculate the actual or projected payment amount.
Type: | PaymentCalculationPeriod
Content: | complex, 2 attributes, 7 elements
Defined: | locally witnin Cashflows complexType; see XML source
paymentDates | The payment dates schedule.
Type: | PaymentDates
Content: | complex, 1 attribute, 9 elements
Defined: | locally witnin InterestRateStream complexType; see XML source
paymentDatesAdjustments | The business day convention to apply to each payment date if it would otherwise fall on a day that is not a business day in the specified financial business centers.
Type: | BusinessDayAdjustments
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PaymentDates complexType; see XML source
paymentDatesReference | A set of href pointers to payment dates defined somewhere else in the document.
Type: | PaymentDatesReference
Content: | empty, 1 attribute
Defined: | locally witnin DateRelativeToPaymentDates complexType; see XML source
paymentDaysOffset | If early payment or delayed payment is required, specifies the number of days offset that the payment occurs relative to what would otherwise be the unadjusted payment date.
Type: | Offset
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin PaymentDates complexType; see XML source
paymentFrequency (in paymentDates) | The frequency at which regular payment dates occur.
Type: | Frequency
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PaymentDates complexType; see XML source
payRelativeTo | For use of the pre-trade Credit Limit Check messages.
Type: | PayRelativeToEnum
Content: | simple
Defined: | locally witnin PaymentDates complexType; see XML source
presentValueAmount (in paymentCalculationPeriod) | A monetary amount representing the present value of the forecast payment.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PaymentCalculationPeriod complexType; see XML source
presentValuePrincipalExchangeAmount | The amount representing the present value of the principal exchange.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PrincipalExchange complexType; see XML source
priceSourceDisruption | A type defining the parameters to get a new quote when a settlement rate option is disrupted.
Type: | PriceSourceDisruption
Content: | complex, 1 element
Defined: | locally witnin NonDeliverableSettlement complexType; see XML source
principalExchange | The initial, intermediate and final principal exchange amounts.
Type: | PrincipalExchange
Content: | complex, 1 attribute, 5 elements
Defined: | locally witnin Cashflows complexType; see XML source
principalExchangeAmount | The principal exchange amount.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin PrincipalExchange complexType; see XML source
principalExchanges | The true/false flags indicating whether initial, intermediate or final exchanges of principal should occur.
Type: | PrincipalExchanges
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin InterestRateStream complexType; see XML source
quotationRateType (defined in CashPriceMethod complexType) | Which rate quote is to be observed, either Bid, Mid, Offer or Exercising Party Pays.
Type: | QuotationRateTypeEnum
Content: | simple
Defined: | locally witnin CashPriceMethod complexType; see XML source
quotationRateType (defined in YieldCurveMethod complexType) | Which rate quote is to be observed, either Bid, Mid, Offer or Exercising Party Pays.
Type: | QuotationRateTypeEnum
Content: | simple
Defined: | locally witnin YieldCurveMethod complexType; see XML source
quotationRateType (in crossCurrencyMethod) | Which rate quote is to be observed, either Bid, Mid, Offer or Exercising Party Pays.
Type: | QuotationRateTypeEnum
Content: | simple
Defined: | locally witnin CrossCurrencyMethod complexType; see XML source
rateCalculation | The base element for the floating rate calculation definitions.
Type: | Rate
Content: | empty, 1 attribute
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | may be substituted with 1 element
Defined: | globally; see XML source
Used: | at 2 locations
rateCutOffDaysOffset | Specifies the number of business days before the period end date when the rate cut-off date is assumed to apply.
Type: | Offset
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin ResetDates complexType; see XML source
rateObservation | The details of a particular rate observation, including the fixing date and observed rate.
Type: | RateObservation
Content: | complex, 1 attribute, 8 elements
Defined: | locally witnin FloatingRateDefinition complexType; see XML source
referenceCurrency | The currency in which the swap stream is denominated.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin NonDeliverableSettlement complexType; see XML source
relativeDate (in cashSettlementPaymentDate) | A date specified as some offset to another date (the anchor date).
Type: | RelativeDateOffset
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin CashSettlementPaymentDate complexType; see XML source
relativeEffectiveDate | Defines the effective date.
Type: | AdjustedRelativeDateOffset
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin CalculationPeriodDates complexType; see XML source
relativeTerminationDate | The term/maturity of the swap, express as a tenor (typically in years).
Type: | RelativeDateOffset
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin CalculationPeriodDates complexType; see XML source
relevantUnderlyingDateReference | Reference to the unadjusted cancellation effective dates.
Type: | RelevantUnderlyingDateReference
Content: | empty, 1 attribute
Defined: | locally witnin FinalCalculationPeriodDateAdjustment complexType; see XML source
resetDate (in fxLinkedNotionalAmount) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin FxLinkedNotionalAmount complexType; see XML source
resetDates | For use with pretrade Credit Limit Check messages.
Type: | ResetDates
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin InterestRateStream complexType; see XML source
resetDatesAdjustments | The business day convention to apply to each reset date if it would otherwise fall on a day that is not a business day in the specified financial business centers.
Type: | BusinessDayAdjustments
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin ResetDates complexType; see XML source
resetDatesReference | A pointer style reference to the associated reset dates component defined elsewhere in the document.
Type: | ResetDatesReference
Content: | empty, 1 attribute
Defined: | locally witnin PaymentDates complexType; see XML source
resetFrequency | The frequency at which reset dates occur.
Type: | ResetFrequency
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin ResetDates complexType; see XML source
resetRelativeTo | Specifies whether the reset dates are determined with respect to each adjusted calculation period start date or adjusted calculation period end date.
Type: | ResetRelativeToEnum
Content: | simple
Defined: | locally witnin ResetDates complexType; see XML source
settlementCurrency (in settlementProvision) | The currency that stream settles in (to support swaps that settle in a currency different from the notional currency).
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin SettlementProvision complexType; see XML source
settlementProvision | For use with pretrade Credit Limit Check messages.
Type: | SettlementProvision
Content: | complex, 2 elements
Defined: | locally witnin InterestRateStream complexType; see XML source
settlementRateOption (in nonDeliverableSettlement) | The rate source for the conversion to the settlement currency.
Type: | SettlementRateOption
Content: | simple, 1 attribute
Defined: | locally witnin NonDeliverableSettlement complexType; see XML source
settlementRateSource (defined in YieldCurveMethod complexType) | The method for obtaining a settlement rate.
Type: | SettlementRateSource
Content: | complex, 2 elements
Defined: | locally witnin YieldCurveMethod complexType; see XML source
singlePartyOption | If optional early termination is not available to both parties then this component specifies the buyer and seller of the option.
Type: | SinglePartyOption
Content: | complex, 4 elements
Defined: | locally witnin OptionalEarlyTermination complexType; see XML source
spread | The ISDA Spread, if any, which applies for the calculation period.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin FloatingRateDefinition complexType; see XML source
stepFrequency | The frequency at which the notional step changes occur.
Type: | Period
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin NotionalStepRule complexType; see XML source
stepRelativeTo | Specifies whether the notionalStepRate should be applied to the initial notional or the previous notional in order to calculate the notional step change amount.
Type: | StepRelativeToEnum
Content: | simple
Defined: | locally witnin NotionalStepRule complexType; see XML source
stubCalculationPeriodAmount | The stub calculation period amount parameters.
Type: | StubCalculationPeriodAmount
Content: | complex, 3 elements
Defined: | locally witnin InterestRateStream complexType; see XML source
stubPeriodType | For use with pretrade Credit Limit Check messages.
Type: | StubPeriodTypeEnum
Content: | simple
Defined: | locally witnin CalculationPeriodDates complexType; see XML source
swap | A swap product definition.
Type: | Swap
Content: | complex, 1 attribute, 9 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
swapStream | The swap streams.
Type: | InterestRateStream
Content: | complex, 1 attribute, 13 elements
Defined: | locally witnin Swap complexType; see XML source
swapStreamReference | Reference to the leg, where date adjustments may apply.
Type: | InterestRateStreamReference
Content: | empty, 1 attribute
Defined: | locally witnin FinalCalculationPeriodDateAdjustment complexType; see XML source
terminationDate (in calculationPeriodDates) | The last day of the term of the trade.
Type: | AdjustableDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CalculationPeriodDates complexType; see XML source
unadjustedEndDate |
Type: | xsd:date
Content: | simple
Defined: | locally witnin CalculationPeriod complexType; see XML source
unadjustedPaymentDate |
Type: | xsd:date
Content: | simple
Defined: | locally witnin PaymentCalculationPeriod complexType; see XML source
unadjustedPrincipalExchangeDate |
Type: | xsd:date
Content: | simple
Defined: | locally witnin PrincipalExchange complexType; see XML source
unadjustedStartDate |
Type: | xsd:date
Content: | simple
Defined: | locally witnin CalculationPeriod complexType; see XML source
valuationDatesReference | A pointer style reference to the associated valuation dates component defined elsewhere in the document.
Type: | ValuationDatesReference
Content: | empty, 1 attribute
Defined: | locally witnin PaymentDates complexType; see XML source
valuationPostponement | Specifies how long to wait to get a quote from a settlement rate option upon a price source disruption
Type: | ValuationPostponement
Content: | complex, 1 element
Defined: | locally witnin FallbackReferencePrice complexType; see XML source
varyingNotionalCurrency | The currency of the varying notional amount, i.e. the notional amount being determined periodically based on observation of a spot currency exchange rate.
Type: | Currency
Content: | simple, 1 attribute
Defined: | locally witnin FxLinkedNotionalSchedule complexType; see XML source
varyingNotionalFixingDates | The dates on which spot currency exchange rates are observed for purposes of determining the varying notional currency amount that will apply to a calculation period.
Type: | RelativeDateOffset
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin FxLinkedNotionalSchedule complexType; see XML source
varyingNotionalInterimExchangePaymentDates | The dates on which interim exchanges of notional are paid.
Type: | RelativeDateOffset
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin FxLinkedNotionalSchedule complexType; see XML source
zeroCouponYieldAdjustedMethod | An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount.
Type: | YieldCurveMethod
Content: | complex, 2 elements
Defined: | locally witnin CashSettlement complexType; see XML source

Complex Type Summary
BondReference | For use with pre-trade Credit Limit Check messages.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
Calculation | A type definining the parameters used in the calculation of fixed or floating calculation period amounts.
Content: | complex, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 8 elements
Used: | at 1 location
CalculationPeriod | A type defining the parameters used in the calculation of a fixed or floating rate calculation period amount.
Content: | complex, 1 attribute, 12 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 12 elements
Used: | at 1 location
CalculationPeriodAmount | A type defining the parameters used in the calculation of fixed or floating rate calculation period amounts or for specifying a known calculation period amount or known amount schedule.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CalculationPeriodDates | A type defining the parameters used to generate the calculation period dates schedule, including the specification of any initial or final stub calculation periods.
Content: | complex, 1 attribute, 11 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 11 elements
Used: | at 1 location
CalculationPeriodDatesReference | Reference to a calculation period dates component.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 5 locations
CancelableProvision | For use with pretrade Credit Limit Check messages.
Content: | complex, 10 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
CancelableProvisionAdjustedDates | For use with pretrade Credit Limit Check messages.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CancellationEvent | The adjusted dates for a specific cancellation date, including the adjusted exercise date and adjusted termination date.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location
Cashflows | A type defining the cashflow representation of a swap trade.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
CashPriceMethod | A type defining the parameters necessary for each of the ISDA cash price methods for cash settlement.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
CashSettlement | A type to define the cash settlement terms for a product where cash settlement is applicable.
Content: | complex, 1 attribute, 10 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 10 elements
Used: | at 2 locations
CashSettlementPaymentDate | A type defining the cash settlement payment date(s) as either a set of explicit dates, together with applicable adjustments, or as a date relative to some other (anchor) date, or as any date in a range of contiguous business days.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 1 location
CrossCurrencyMethod |
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
DateRelativeToCalculationPeriodDates | A type to provide the ability to point to multiple payment nodes in the document through the unbounded paymentDatesReference.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
DateRelativeToPaymentDates | A type to provide the ability to point to multiple payment nodes in the document through the unbounded paymentDatesReference.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
Discounting | For Credit Limit Check messages.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
EarlyTerminationEvent | A type to define the adjusted dates associated with an early termination provision.
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 5 elements
Used: | at 1 location
EarlyTerminationProvision | For Credit Limit Check messages.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ExercisePeriod | For Credit Limit Check messages.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location
ExtendibleProvision | For Credit Limit Check messages.
Content: | complex, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
ExtendibleProvisionAdjustedDates | For Credit Limit Check messages.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ExtensionEvent | For Credit Limit Check messages.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location
FallbackReferencePrice | The method, prioritzed by the order it is listed in this element, to get a replacement rate for the disrupted settlement rate option.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
FinalCalculationPeriodDateAdjustment | For Credit Limit Check messages.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
FloatingRateDefinition | A type defining parameters associated with a floating rate reset.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
FxFixingDate | For Credit Limit Check messages.
Content: | complex, 1 attribute, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
FxLinkedNotionalAmount | A type to describe the cashflow representation for fx linked notionals.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
FxLinkedNotionalSchedule | A type to describe a notional schedule where each notional that applies to a calculation period is calculated with reference to a notional amount or notional amount schedule in a different currency by means of a spot currency exchange rate which is normally observed at the beginning of each period.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
InterestRateStream | A type defining the components specifiying an interest rate stream, including both a parametric and cashflow representation for the stream of payments.
Content: | complex, 1 attribute, 13 elements
Defined: | globally; see XML source
Includes: | definitions of 9 elements
Used: | at 1 location
InterestRateStreamReference | Reference to an InterestRateStream component.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
MandatoryEarlyTermination | For use with pretrade Credit Limit Check messages.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 1 location
MandatoryEarlyTerminationAdjustedDates | A type defining the adjusted dates associated with a mandatory early termination provision.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
NonDeliverableSettlement | For use with pretrade Credit Limit Check messages.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
Notional | An type defining the notional amount or notional amount schedule associated with a swap stream.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location
NotionalStepRule | For use with pre-trade Credit Limit Check messages.
Content: | complex, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location
OptionalEarlyTermination | For use with pre-trade Credit Limit Check messages.
Content: | complex, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location
OptionalEarlyTerminationAdjustedDates | A type defining the adjusted dates associated with an optional early termination provision.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
PaymentCalculationPeriod | For use of pre-trade Credit Limit Check messages.
Content: | complex, 2 attributes, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 7 elements
Used: | at 1 location
PaymentDates | For use with pre-trade Credit Limit Check messages.
Content: | complex, 1 attribute, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 9 elements
Used: | at 1 location
PaymentDatesReference | Reference to a payment dates structure.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
PriceSourceDisruption | For use with Credit Limit Check messages.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
PrincipalExchange | For use with Credit Limit Check messages.
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 5 elements
Used: | at 1 location
RelevantUnderlyingDateReference | Reference to relevant underlying date.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ResetDates | For use with Credit Limit Check messages.
Content: | complex, 1 attribute, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 7 elements
Used: | at 1 location
ResetDatesReference | For use with Credit Limit Check messages.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
SettlementProvision | For use with Credit Limit Check messages.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
SinglePartyOption | A type describing the buyer and seller of an option.
Content: | complex, 4 elements
Defined: | globally; see XML source
Used: | at 1 location
StubCalculationPeriodAmount | A type defining how the initial or final stub calculation period amounts is calculated.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
Swap | A type defining swap streams and additional payments between the principal parties involved in the swap.
Content: | complex, 1 attribute, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
SwapAdditionalTerms | For use with Credit Limit Check messages.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
ValuationDatesReference | For use with pre-trade Credit Limit Check messages.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
ValuationPostponement | Specifies how long to wait to get a quote from a settlement rate option upon a price source disruption.
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
YieldCurveMethod | A type defining the parameters required for each of the ISDA defined yield curve methods for cash settlement.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 4 locations

Element Group Summary
DiscountRate.model | Model group enforces association of day count fraction with the discount rate.
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
MandatoryEarlyTermination.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
OptionalEarlyTermination.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2013 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="pre" ecore:package="org.fpml.pretrade" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/pretrade" version="$Revision: 10157 $" xmlns="http://www.fpml.org/FpML-5/pretrade" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-asset-5-5.xsd"/> <xsd:complexType name="BondReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with pre-trade Credit Limit Check messages. A type including a reference to a bond to support the representation of an asset swap or Condition Precedent Bond. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" ref="bond"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to a bond underlyer.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="conditionPrecedentBond" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> To indicate whether the Condition Precedent Bond is applicable. The swap contract is only valid if the bond is issued and if there is any dispute over the terms of fixed stream then the bond terms would be used. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="discrepancyClause" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> To indicate whether the Discrepancy Clause is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED BulletPayment - Unsupported--> <xsd:complexType name="Calculation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type definining the parameters used in the calculation of fixed or floating calculation period amounts. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="notionalSchedule" type="Notional"> <xsd:annotation> <xsd:documentation xml:lang="en">The notional amount or notional amount schedule.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="fxLinkedNotionalSchedule" type="FxLinkedNotionalSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with pre-trade Credit Limit Check messages.A notional amount schedule where each notional that applied to a calculation period is calculated with reference to a notional amount or notional amount schedule in a different currency by means of a spot currency exchange rate which is normally observed at the beginning of each period. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: Skipped an empty sequence.--> </xsd:choice> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:element minOccurs="0" name="fixedRateSchedule" type="Schedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The fixed rate or fixed rate schedule expressed as explicit fixed rates and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="futureValueNotional" type="FutureValueAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> For Credit Limit Check messages. The future value notional is normally only required for BRL CDI Swaps. The value is calculated as follows: Future Value Notional = Notional Amount * (1 + Fixed Rate) ^ (Fixed Rate Day Count Fraction). The currency should always match that expressed in the notional schedule. The value date should match the adjusted termination date. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element ref="rateCalculation"> <xsd:annotation> <xsd:documentation xml:lang="en"> This element is the head of a substitution group. It is substituted by the floatingRateCalculation element for standard Floating Rate legs, or the inflationRateCalculation element for inflation swaps. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"> <xsd:annotation> <xsd:documentation xml:lang="en">The day count fraction.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="discounting" type="Discounting"> <xsd:annotation> <xsd:documentation xml:lang="en"> For Credit Limit Check messages. The parameters specifying any discounting conventions that may apply. This element must only be included if discounting applies. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="compoundingMethod" type="CompoundingMethodEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> If more that one calculation period contributes to a single payment amount this element specifies whether compounding is applicable, and if so, what compounding method is to be used. This element must only be included when more that one calculation period contributes to a single payment amount. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CalculationPeriod"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the parameters used in the calculation of a fixed or floating rate calculation period amount. This type forms part of cashflows representation of a swap stream. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="unadjustedStartDate" type="xsd:date"/> <xsd:element minOccurs="0" name="unadjustedEndDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedStartDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The calculation period start date, adjusted according to any relevant business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedEndDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The calculation period end date, adjusted according to any relevant business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calculationPeriodNumberOfDays" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of days from the adjusted effective / start date to the adjusted termination / end date calculated in accordance with the applicable day count fraction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:element name="notionalAmount" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount that a cashflow will accrue interest on. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="fxLinkedNotionalAmount" type="FxLinkedNotionalAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount that a cashflow will accrue interest on. This is the calculated amount of the fx linked - ie the other currency notional amount multiplied by the appropriate fx spot rate. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:choice minOccurs="0"> <xsd:element name="floatingRateDefinition" type="FloatingRateDefinition"> <xsd:annotation> <xsd:documentation xml:lang="en"> The floating rate reset information for the calculation period. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="fixedRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The calculation period fixed rate. A per annum rate, expressed as a decimal. A fixed rate of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="dayCountYearFraction" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The year fraction value of the calculation period, result of applying the ISDA rules for day count fraction defined in the ISDA Annex. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="forecastAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount representing the forecast of the accrued value of the calculation period. An intermediate value used to generate the forecastPaymentAmount in the PaymentCalculationPeriod. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="forecastRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> A value representing the forecast rate used to calculate the forecast future value of the accrual period. This is a calculated rate determined based on averaging the rates in the rateObservation elements, and incorporates all of the rate treatment and averaging rules. A value of 1% should be represented as 0.01 </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="CalculationPeriodAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the parameters used in the calculation of fixed or floating rate calculation period amounts or for specifying a known calculation period amount or known amount schedule. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="calculation" type="Calculation"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters used in the calculation of fixed or floaring rate calculation period amounts. </xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED knownAmountSchedule - Unsupported--> </xsd:choice> </xsd:complexType> <xsd:complexType name="CalculationPeriodDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the parameters used to generate the calculation period dates schedule, including the specification of any initial or final stub calculation periods. A calculation perod schedule consists of an optional initial stub calculation period, one or more regular calculation periods and an optional final stub calculation period. In the absence of any initial or final stub calculation periods, the regular part of the calculation period schedule is assumed to be between the effective date and the termination date. No implicit stubs are allowed, i.e. stubs must be explicitly specified using an appropriate combination of firstPeriodStateDate, firstRegularPeriodStartDate and lastRegularPeriodEndDate. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="effectiveDate" type="AdjustableDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The first day of the term of the trade. This day may be subject to adjustment in accordance with a business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="relativeEffectiveDate" type="AdjustedRelativeDateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en">Defines the effective date.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:choice minOccurs="0"> <xsd:element name="terminationDate" type="AdjustableDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The last day of the term of the trade. This day may be subject to adjustment in accordance with a business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="relativeTerminationDate" type="RelativeDateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en"> The term/maturity of the swap, express as a tenor (typically in years). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="calculationPeriodDatesAdjustments" type="BusinessDayAdjustments"> <xsd:annotation> <xsd:documentation xml:lang="en"> The business day convention to apply to each calculation period end date if it would otherwise fall on a day that is not a business day in the specified financial business centers. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="firstPeriodStartDate" type="AdjustableDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with pretrade Credit Limit Check messages. The start date of the calculation period if the date falls before the effective date. It must only be specified if it is not equal to the effective date. This date may be subject to adjustment in accordance with a business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="firstRegularPeriodStartDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The start date of the regular part of the calculation period schedule. It must only be specified if there is an initial stub calculation period. This day may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="firstCompoundingPeriodEndDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The end date of the initial compounding period when compounding is applicable. It must only be specified when the compoundingMethod element is present and not equal to a value of None. This date may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="lastRegularPeriodEndDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with pretrade Credit Limit Check messages. The end date of the regular part of the calculation period schedule. It must only be specified if there is a final stub calculation period. This day may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="stubPeriodType" type="StubPeriodTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with pretrade Credit Limit Check messages. Method to allocate any irregular period remaining after regular periods have been allocated between the effective and termination date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calculationPeriodFrequency" type="CalculationPeriodFrequency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The frequency at which calculation period end dates occur with the regular part of the calculation period schedule and their roll date convention. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="required"/> </xsd:complexType> <xsd:complexType name="CalculationPeriodDatesReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to a calculation period dates component. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="CalculationPeriodDates" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CancelableProvision"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with pretrade Credit Limit Check messages. A type defining the right of a party to cancel a swap transaction on the specified exercise dates. The provision is for 'walkaway' cancellation (i.e. the fair value of the swap is not paid). A fee payable on exercise can be specified. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> <xsd:sequence> <xsd:group ref="BuyerSeller.model"/> <xsd:element minOccurs="0" ref="exercise"/> <xsd:element minOccurs="0" name="exerciseNotice" type="ExerciseNotice"> <xsd:annotation> <xsd:documentation xml:lang="en"> Definition of the party to whom notice of exercise should be given. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="followUpConfirmation" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> A flag to indicate whether follow-up confirmation of exercise (written or electronic) is required following telephonic notice by the buyer to the seller or seller's agent. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="cancelableProvisionAdjustedDates" type="CancelableProvisionAdjustedDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> The adjusted dates associated with a cancelable provision. These dates have been adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="finalCalculationPeriodDateAdjustment" type="FinalCalculationPeriodDateAdjustment"> <xsd:annotation> <xsd:documentation> Business date convention adjustment to final payment period per leg (swapStream) upon exercise event. The adjustments can be made in-line with leg level BDC's or they can be specified seperately. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="initialFee" type="SimplePayment"> <xsd:annotation> <xsd:documentation xml:lang="en">An initial fee for the cancelable option.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CancelableProvisionAdjustedDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with pretrade Credit Limit Check messages. A type to define the adjusted dates for a cancelable provision on a swap transaction. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="cancellationEvent" type="CancellationEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> The adjusted dates for an individual cancellation date. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CancellationEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> The adjusted dates for a specific cancellation date, including the adjusted exercise date and adjusted termination date. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="adjustedExerciseDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which option exercise takes place. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedEarlyTerminationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The early termination date that is applicable if an early termination provision is exercised. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <!--View Generation: SKIPPED CapFloor - Unsupported--> <xsd:complexType name="Cashflows"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the cashflow representation of a swap trade. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="cashflowsMatchParameters" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> A true/false flag to indicate whether the cashflows match the parametric definition of the stream, i.e. whether the cashflows could be regenerated from the parameters without loss of information. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="principalExchange" type="PrincipalExchange"> <xsd:annotation> <xsd:documentation xml:lang="en"> The initial, intermediate and final principal exchange amounts. Typically required on cross currency interest rate swaps where actual exchanges of principal occur. A list of principal exchange elements may be ordered in the document by ascending adjusted principal exchange date. An FpML document containing an unordered principal exchange list is still regarded as a conformant document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="paymentCalculationPeriod" type="PaymentCalculationPeriod"> <xsd:annotation> <xsd:documentation xml:lang="en"> The adjusted payment date and associated calculation period parameters required to calculate the actual or projected payment amount. A list of payment calculation period elements may be ordered in the document by ascending adjusted payment date. An FpML document containing an unordered list of payment calculation periods is still regarded as a conformant document. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CashPriceMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the parameters necessary for each of the ISDA cash price methods for cash settlement. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="cashSettlementReferenceBanks" type="CashSettlementReferenceBanks"> <xsd:annotation> <xsd:documentation xml:lang="en"> A container for a set of reference institutions. These reference institutions may be called upon to provide rate quotations as part of the method to determine the applicable cash settlement amount. If institutions are not specified, it is assumed that reference institutions will be agreed between the parties on the exercise date, or in the case of swap transaction to which mandatory early termination is applicable, the cash settlement valuation date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="cashSettlementCurrency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The currency in which the cash settlement amount will be calculated and settled. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quotationRateType" type="QuotationRateTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Which rate quote is to be observed, either Bid, Mid, Offer or Exercising Party Pays. The meaning of Exercising Party Pays is defined in the 2000 ISDA Definitions, Section 17.2. Certain Definitions Relating to Cash Settlement, paragraph (j) </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CashSettlement"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type to define the cash settlement terms for a product where cash settlement is applicable. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="cashSettlementValuationTime" type="BusinessCenterTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> The time of the cash settlement valuation date when the cash settlement amount will be determined according to the cash settlement method if the parties have not otherwise been able to agree the cash settlement amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="cashSettlementValuationDate" type="RelativeDateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the cash settlement amount will be determined according to the cash settlement method if the parties have not otherwise been able to agree the cash settlement amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="cashSettlementPaymentDate" type="CashSettlementPaymentDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the cash settlement amount will be paid, subject to adjustment in accordance with any applicable business day convention. This component would not be present for a mandatory early termination provision where the cash settlement payment date is the mandatory early termination date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:element name="cashPriceMethod" type="CashPriceMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount. The method is defined in the 2006 ISDA Definitions, Section 18.3. Cash Settlement Methods, paragraph (a). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="cashPriceAlternateMethod" type="CashPriceMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount. The method is defined in the 2006 ISDA Definitions, Section 18.3. Cash Settlement Methods, paragraph (b). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="parYieldCurveAdjustedMethod" type="YieldCurveMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount. The method is defined in the 2006 ISDA Definitions, Section 18.3. Cash Settlement Methods, paragraph (c). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="zeroCouponYieldAdjustedMethod" type="YieldCurveMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount. The method is defined in the 2006 ISDA Definitions, Section 18.3. Cash Settlement Methods, paragraph (d). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="parYieldCurveUnadjustedMethod" type="YieldCurveMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount. The method is defined in the 2006 ISDA Definitions, Section 18.3. Cash Settlement Methods, paragraph (e). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="crossCurrencyMethod" type="CrossCurrencyMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount. The method is defined in the 2006 ISDA Definitions, Section 18.3. Cash Settlement Methods, paragraph (f) (published in Supplement number 23). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="collateralizedCashPriceMethod" type="YieldCurveMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> An ISDA defined cash settlement method used for the determination of the applicable cash settlement amount. The method is defined in the 2006 ISDA Definitions, Section 18.3. Cash Settlement Methods, paragraph (g) (published in Supplement number 28). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="CashSettlementPaymentDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the cash settlement payment date(s) as either a set of explicit dates, together with applicable adjustments, or as a date relative to some other (anchor) date, or as any date in a range of contiguous business days. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="adjustableDates" type="AdjustableDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A series of dates that shall be subject to adjustment if they would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="relativeDate" type="RelativeDateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en"> A date specified as some offset to another date (the anchor date). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="businessDateRange" type="BusinessDateRange"> <xsd:annotation> <xsd:documentation xml:lang="en">A range of contiguous business days.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="CrossCurrencyMethod"> <xsd:sequence> <xsd:element minOccurs="0" name="cashSettlementReferenceBanks" type="CashSettlementReferenceBanks"> <xsd:annotation> <xsd:documentation xml:lang="en"> A container for a set of reference institutions. These reference institutions may be called upon to provide rate quotations as part of the method to determine the applicable cash settlement amount. If institutions are not specified, it is assumed that reference institutions will be agreed between the parties on the exercise date, or in the case of swap transaction to which mandatory early termination is applicable, the cash settlement valuation date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="2" minOccurs="0" name="cashSettlementCurrency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The currency, or currencies, in which the cash settlement amount(s) will be calculated and settled. While the order in which the currencies are stated is unimportant, the cash settlement currency or currencies must correspond to one or both of the constituent currencies of the swap transaction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quotationRateType" type="QuotationRateTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Which rate quote is to be observed, either Bid, Mid, Offer or Exercising Party Pays. The meaning of Exercising Party Pays is defined in the 2000 ISDA Definitions, Section 17.2. Certain Definitions Relating to Cash Settlement, paragraph (j) </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="DateRelativeToCalculationPeriodDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type to provide the ability to point to multiple payment nodes in the document through the unbounded paymentDatesReference. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="calculationPeriodDatesReference" type="CalculationPeriodDatesReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A set of href pointers to calculation period dates defined somewhere else in the document. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="DateRelativeToPaymentDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type to provide the ability to point to multiple payment nodes in the document through the unbounded paymentDatesReference. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="paymentDatesReference" type="PaymentDatesReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A set of href pointers to payment dates defined somewhere else in the document. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Discounting"> <xsd:annotation> <xsd:documentation xml:lang="en"> For Credit Limit Check messages. A type defining discounting information. The 2000 ISDA definitions, section 8.4. discounting (related to the calculation of a discounted fixed amount or floating amount) apply. This type must only be included if discounting applies. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="discountingType" type="DiscountingTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The discounting method that is applicable.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="DiscountRate.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="EarlyTerminationEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type to define the adjusted dates associated with an early termination provision. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="adjustedExerciseDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which option exercise takes place. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedEarlyTerminationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The early termination date that is applicable if an early termination provision is exercised. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedCashSettlementValuationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date by which the cash settlement amount must be agreed. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedCashSettlementPaymentDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the cash settlement amount is paid. This date should already be adjusted for any applicable business dat convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedExerciseFeePaymentDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the exercise fee amount is paid. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="EarlyTerminationProvision"> <xsd:annotation> <xsd:documentation xml:lang="en"> For Credit Limit Check messages. A type defining an early termination provision for a swap. This early termination is at fair value, i.e. on termination the fair value of the product must be settled between the parties. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> <xsd:choice> <xsd:sequence> <xsd:group ref="MandatoryEarlyTermination.model"/> <xsd:group minOccurs="0" ref="OptionalEarlyTermination.model"/> </xsd:sequence> <!--View Generation: SKIPPED - Technical--> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <!--View Generation: SKIPPED ExerciseEvent - Unsupported--> <xsd:complexType name="ExercisePeriod"> <xsd:annotation> <xsd:documentation xml:lang="en"> For Credit Limit Check messages. This defines the time interval to the start of the exercise period, i.e. the earliest exercise date, and the frequency of subsequent exercise dates (if any). </xsd:documentation> <!-- Needed for CLC <xsd:appinfo> <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> </xsd:appinfo>--> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="earliestExerciseDateTenor" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> The time interval to the first (and possibly only) exercise date in the exercise period. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="exerciseFrequency" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> The frequency of subsequent exercise dates in the exercise period following the earliest exercise date. An interval of 1 day should be used to indicate an American style exercise period. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="ExtendibleProvision"> <xsd:annotation> <xsd:documentation xml:lang="en"> For Credit Limit Check messages. A type defining an option to extend an existing swap transaction on the specified exercise dates for a term ending on the specified new termination date. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> <xsd:sequence> <xsd:group ref="BuyerSeller.model"/> <xsd:element minOccurs="0" ref="exercise"/> <xsd:element minOccurs="0" name="exerciseNotice" type="ExerciseNotice"> <xsd:annotation> <xsd:documentation xml:lang="en"> Definition of the party to whom notice of exercise should be given. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="followUpConfirmation" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> A flag to indicate whether follow-up confirmation of exercise (written or electronic) is required following telephonic notice by the buyer to the seller or seller's agent. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="extendibleProvisionAdjustedDates" type="ExtendibleProvisionAdjustedDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> The adjusted dates associated with an extendible provision. These dates have been adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ExtendibleProvisionAdjustedDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> For Credit Limit Check messages. A type defining the adjusted dates associated with a provision to extend a swap. </xsd:documentation> <!-- Needed for CLC <xsd:appinfo> <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> </xsd:appinfo>--> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="extensionEvent" type="ExtensionEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> The adjusted dates associated with a single extendible exercise date. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ExtensionEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> For Credit Limit Check messages. A type to define the adjusted dates associated with an individual extension event. </xsd:documentation> <!-- Needed for CLC <xsd:appinfo> <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> </xsd:appinfo>--> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="adjustedExerciseDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which option exercise takes place. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedExtendedTerminationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The termination date if an extendible provision is exercised. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="FallbackReferencePrice"> <xsd:annotation> <xsd:documentation xml:lang="en"> The method, prioritzed by the order it is listed in this element, to get a replacement rate for the disrupted settlement rate option. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="valuationPostponement" type="ValuationPostponement"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies how long to wait to get a quote from a settlement rate option upon a price source disruption </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="fallbackSettlementRateOption" type="SettlementRateOption"> <xsd:annotation> <xsd:documentation xml:lang="en"> This settlement rate option will be used in its place. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fallbackSurveyValuationPostponenment" type="Empty"> <xsd:annotation> <xsd:documentation xml:lang="en">Request rate quotes from the market.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calculationAgentDetermination" type="CalculationAgent"> <xsd:annotation> <xsd:documentation xml:lang="en">The calculation agent will decide the rate.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FinalCalculationPeriodDateAdjustment"> <xsd:annotation> <xsd:documentation xml:lang="en"> For Credit Limit Check messages. A type to define business date convention adjustment to final payment period per leg. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="relevantUnderlyingDateReference" type="RelevantUnderlyingDateReference"> <xsd:annotation> <xsd:documentation> Reference to the unadjusted cancellation effective dates. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="swapStreamReference" type="InterestRateStreamReference"> <xsd:annotation> <xsd:documentation> Reference to the leg, where date adjustments may apply. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="businessDayConvention" type="BusinessDayConventionEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Override business date convention. This takes precedence over leg level information. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FloatingRateDefinition"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining parameters associated with a floating rate reset. This type forms part of the cashflows representation of a stream. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="calculatedRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The final calculated rate for a calculation period after any required averaging of rates A calculated rate of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="rateObservation" type="RateObservation"> <xsd:annotation> <xsd:documentation xml:lang="en"> The details of a particular rate observation, including the fixing date and observed rate. A list of rate observation elements may be ordered in the document by ascending adjusted fixing date. An FpML document containing an unordered list of rate observations is still regarded as a conformant document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="floatingRateMultiplier" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> A rate multiplier to apply to the floating rate. The multiplier can be a positive or negative decimal. This element should only be included if the multiplier is not equal to 1 (one). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="spread" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ISDA Spread, if any, which applies for the calculation period. The spread is a per annum rate, expressed as a decimal. For purposes of determining a calculation period amount, if positive the spread will be added to the floating rate and if negative the spread will be subtracted from the floating rate. A positive 10 basis point (0.1%) spread would be represented as 0.001. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="capRate" type="Strike"> <xsd:annotation> <xsd:documentation xml:lang="en"> The cap rate, if any, which applies to the floating rate for the calculation period. The cap rate (strike) is only required where the floating rate on a swap stream is capped at a certain strike level. The cap rate is assumed to be exclusive of any spread and is a per annum rate, expressed as a decimal. A cap rate of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="floorRate" type="Strike"> <xsd:annotation> <xsd:documentation xml:lang="en"> The floor rate, if any, which applies to the floating rate for the calculation period. The floor rate (strike) is only required where the floating rate on a swap stream is floored at a certain strike level. The floor rate is assumed to be exclusive of any spread and is a per annum rate, expressed as a decimal. The floor rate of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED Fra - Unsupported--> <xsd:complexType name="FxFixingDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> For Credit Limit Check messages. A type that is extending the Offset structure for providing the ability to specify an FX fixing date as an offset to dates specified somewhere else in the document. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Offset"> <xsd:sequence> <xsd:element minOccurs="0" name="businessDayConvention" type="BusinessDayConventionEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> The convention for adjusting a date if it would otherwise fall on a day that is not a business day. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="BusinessCentersOrReference.model"/> <xsd:choice minOccurs="0"> <xsd:element name="dateRelativeToPaymentDates" type="DateRelativeToPaymentDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> The payment date references on which settlements in non-deliverable currency are due and will then have to be converted according to the terms specified through the other parts of the nonDeliverableSettlement structure. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="dateRelativeToCalculationPeriodDates" type="DateRelativeToCalculationPeriodDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> The calculation period references on which settlements in non-deliverable currency are due and will then have to be converted according to the terms specified through the other parts of the nonDeliverableSettlement structure. Implemented for Brazilian-CDI swaps where it will refer to the termination date of the appropriate leg. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FxLinkedNotionalAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type to describe the cashflow representation for fx linked notionals. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="resetDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedFxSpotFixingDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the fx spot rate is observed. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="observedFxSpotRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The actual observed fx spot rate.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="notionalAmount" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">The calculation period notional amount.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="FxLinkedNotionalSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type to describe a notional schedule where each notional that applies to a calculation period is calculated with reference to a notional amount or notional amount schedule in a different currency by means of a spot currency exchange rate which is normally observed at the beginning of each period. </xsd:documentation> <xsd:documentation xml:lang="en"> FxLinkedNotionalSchedule - for use with pretrade Credit Limit Check messages. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="constantNotionalScheduleReference" type="NotionalReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to the associated constant notional schedule defined elsewhere in the document which contains the currency amounts which will be converted into the varying notional currency amounts using the spot currency exchange rate. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="initialValue" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The initial currency amount for the varying notional. This may be omitted for a forward starting swap if the FX-linked notional value is not known at deal inception. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="varyingNotionalCurrency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The currency of the varying notional amount, i.e. the notional amount being determined periodically based on observation of a spot currency exchange rate. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="varyingNotionalFixingDates" type="RelativeDateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en"> The dates on which spot currency exchange rates are observed for purposes of determining the varying notional currency amount that will apply to a calculation period. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fxSpotRateSource" type="FxSpotRateSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> The information source and time at which the spot currency exchange rate will be observed. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="varyingNotionalInterimExchangePaymentDates" type="RelativeDateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en"> The dates on which interim exchanges of notional are paid. Interim exchanges will arise as a result of changes in the spot currency exchange amount or changes in the constant notional schedule (e.g. amortization). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED InflationRateCalculation - Unsupported--> <xsd:complexType name="InterestRateStream"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the components specifiying an interest rate stream, including both a parametric and cashflow representation for the stream of payments. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Leg"> <xsd:sequence> <xsd:group minOccurs="0" ref="PayerReceiver.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> PayerReceiver - for use with pretrade Credit Limit Check messages. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:element minOccurs="0" name="calculationPeriodDates" type="CalculationPeriodDates"> <xsd:annotation> <xsd:documentation xml:lang="en">The calculation periods dates schedule.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="paymentDates" type="PaymentDates"> <xsd:annotation> <xsd:documentation xml:lang="en">The payment dates schedule.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="resetDates" type="ResetDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with pretrade Credit Limit Check messages. The reset dates schedule. The reset dates schedule only applies for a floating rate stream. </xsd:documentation> <!--<xsd:appinfo> <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> </xsd:appinfo>--> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calculationPeriodAmount" type="CalculationPeriodAmount"> <xsd:annotation> <xsd:documentation xml:lang="en">The calculation period amount parameters.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="stubCalculationPeriodAmount" type="StubCalculationPeriodAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> The stub calculation period amount parameters. This element must only be included if there is an initial or final stub calculation period. Even then, it must only be included if either the stub references a different floating rate tenor to the regular calculation periods, or if the stub is calculated as a linear interpolation of two different floating rate tenors, or if a specific stub rate or stub amount has been negotiated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="principalExchanges" type="PrincipalExchanges"> <xsd:annotation> <xsd:documentation xml:lang="en"> The true/false flags indicating whether initial, intermediate or final exchanges of principal should occur. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="cashflows" type="Cashflows"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with pretrade Credit Limit Check messages. The cashflows representation of the swap stream. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="settlementProvision" type="SettlementProvision"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with pretrade Credit Limit Check messages. A provision that allows the specification of settlement terms, occuring when the settlement currency is different to the notional currency of the trade. </xsd:documentation> <!-- <xsd:appinfo> Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> </xsd:appinfo>--> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="formula" type="Formula"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with pretrade Credit Limit Check messages. An interest rate derivative formula. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="InterestRateStreamReference"> <xsd:annotation> <xsd:documentation>Reference to an InterestRateStream component.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="InterestRateStream" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="MandatoryEarlyTermination"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with pretrade Credit Limit Check messages. A type to define an early termination provision for which exercise is mandatory. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="mandatoryEarlyTerminationDate" type="AdjustableDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The early termination date associated with a mandatory early termination of a swap. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calculationAgent" type="CalculationAgent"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ISDA Calculation Agent responsible for performing duties associated with an optional early termination. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="cashSettlement" type="CashSettlement"> <xsd:annotation> <xsd:documentation xml:lang="en"> If specified, this means that cash settlement is applicable to the transaction and defines the parameters associated with the cash settlement prodcedure. If not specified, then physical settlement is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="mandatoryEarlyTerminationAdjustedDates" type="MandatoryEarlyTerminationAdjustedDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> The adjusted dates associated with a mandatory early termination provision. These dates have been adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="MandatoryEarlyTerminationAdjustedDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the adjusted dates associated with a mandatory early termination provision. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="adjustedEarlyTerminationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The early termination date that is applicable if an early termination provision is exercised. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedCashSettlementValuationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date by which the cash settlement amount must be agreed. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedCashSettlementPaymentDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date on which the cash settlement amount is paid. This date should already be adjusted for any applicable business dat convention. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="NonDeliverableSettlement"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with pretrade Credit Limit Check messages. A type defining the parameters used when the reference currency of the swapStream is non-deliverable. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="referenceCurrency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The currency in which the swap stream is denominated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:element name="fxFixingDate" type="FxFixingDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date, when expressed as a relative date, on which the currency rate will be determined for the purpose of specifying the amount in deliverable currency. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="fxFixingSchedule" type="AdjustableDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date, when expressed as a schedule of date(s), on which the currency rate will be determined for the purpose of specifying the amount in deliverable currency. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="settlementRateOption" type="SettlementRateOption"> <xsd:annotation> <xsd:documentation xml:lang="en"> The rate source for the conversion to the settlement currency. This source is specified through a scheme that reflects the terms of the Annex A to the 1998 FX and Currency Option Definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="priceSourceDisruption" type="PriceSourceDisruption"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the parameters to get a new quote when a settlement rate option is disrupted. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Notional"> <xsd:annotation> <xsd:documentation xml:lang="en"> An type defining the notional amount or notional amount schedule associated with a swap stream. The notional schedule will be captured explicitly, specifying the dates that the notional changes and the outstanding notional amount that applies from that date. A parametric representation of the rules defining the notional step schedule can optionally be included. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="notionalStepSchedule" type="NonNegativeAmountSchedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The notional amount or notional amount schedule expressed as explicit outstanding notional amounts and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="notionalStepParameters" type="NotionalStepRule"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with pre-trade Credit Limit Check messages. A parametric representation of the notional step schedule, i.e. parameters used to generate the notional schedule. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="NotionalStepRule"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with pre-trade Credit Limit Check messages. A type defining a parametric representation of the notional step schedule, i.e. parameters used to generate the notional balance on each step date. The step change in notional can be expressed in terms of either a fixed amount or as a percentage of either the initial notional or previous notional amount. This parametric representation is intended to cover the more common amortizing/accreting. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="calculationPeriodDatesReference" type="CalculationPeriodDatesReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to the associated calculation period dates component defined elsewhere in the document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="stepFrequency" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> The frequency at which the notional step changes occur. This frequency must be an integer multiple of the stream calculation period frequency. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="firstNotionalStepDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> Effective date of the first change in notional (i.e. a calculation period start date). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="lastNotionalStepDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> Effective date of the last change in notional (i.e. a calculation period start date). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:element name="notionalStepAmount" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The explicit amount that the notional changes on each step date. This can be a positive or negative amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence> <xsd:element minOccurs="0" name="notionalStepRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The percentage amount by which the notional changes on each step date. The percentage is either a percentage applied to the initial notional amount or the previous outstanding notional, depending on the value of the element stepRelativeTo. The percentage can be either positive or negative. A percentage of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="stepRelativeTo" type="StepRelativeToEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the notionalStepRate should be applied to the initial notional or the previous notional in order to calculate the notional step change amount. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="OptionalEarlyTermination"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with pre-trade Credit Limit Check messages. A type defining an early termination provision where either or both parties have the right to exercise. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="singlePartyOption" type="SinglePartyOption"> <xsd:annotation> <xsd:documentation xml:lang="en"> If optional early termination is not available to both parties then this component specifies the buyer and seller of the option. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" ref="exercise"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="exerciseNotice" type="ExerciseNotice"> <xsd:annotation> <xsd:documentation xml:lang="en"> Definition of the party to whom notice of exercise should be given. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="followUpConfirmation" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> A flag to indicate whether follow-up confirmation of exercise (written or electronic) is required following telephonic notice by the buyer to the seller or seller's agent. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calculationAgent" type="CalculationAgent"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ISDA Calculation Agent responsible for performing duties associated with an optional early termination. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="cashSettlement" type="CashSettlement"> <xsd:annotation> <xsd:documentation xml:lang="en"> If specified, this means that cash settlement is applicable to the transaction and defines the parameters associated with the cash settlement prodcedure. If not specified, then physical settlement is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="optionalEarlyTerminationAdjustedDates" type="OptionalEarlyTerminationAdjustedDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> An early termination provision to terminate the trade at fair value where one or both parties have the right to decide on termination. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="OptionalEarlyTerminationAdjustedDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the adjusted dates associated with an optional early termination provision. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="earlyTerminationEvent" type="EarlyTerminationEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> The adjusted dates associated with an individual earley termination date. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PaymentCalculationPeriod"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use of pre-trade Credit Limit Check messages. A type defining the adjusted payment date and associated calculation period parameters required to calculate the actual or projected payment amount. This type forms part of the cashflow representation of a swap stream. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:element minOccurs="0" name="unadjustedPaymentDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedPaymentDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The adjusted payment date. This date should already be adjusted for any applicable business day convention. This component is not intended for use in trade confirmation but may be specified to allow the fee structure to also serve as a cashflow type component (all dates the Cashflows type are adjusted payment dates). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice minOccurs="0"> <xsd:element maxOccurs="unbounded" name="calculationPeriod" type="CalculationPeriod"> <xsd:annotation> <xsd:documentation xml:lang="en"> The parameters used in the calculation of a fixed or floating rate calculation period amount. A list of calculation period elements may be ordered in the document by ascending start date. An FpML document which contains an unordered list of calcularion periods is still regarded as a conformant document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="fixedPaymentAmount" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">A known fixed payment amount.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="discountFactor" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> A decimal value representing the discount factor used to calculate the present value of cash flow. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="forecastPaymentAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> A monetary amount representing the forecast of the future value of the payment. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="presentValueAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> A monetary amount representing the present value of the forecast payment. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute ecore:reference="PricingStructure" name="href" type="xsd:IDREF"> <xsd:annotation> <xsd:documentation xml:lang="en"> Attribute that can be used to reference the yield curve used to estimate the discount factor. </xsd:documentation> </xsd:annotation> </xsd:attribute> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PaymentDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with pre-trade Credit Limit Check messages. A type defining parameters used to generate the payment dates schedule, including the specification of early or delayed payments. Payment dates are determined relative to the calculation period dates or the reset dates. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="calculationPeriodDatesReference" type="CalculationPeriodDatesReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to the associated calculation period dates component defined elsewhere in the document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="resetDatesReference" type="ResetDatesReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to the associated reset dates component defined elsewhere in the document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="valuationDatesReference" type="ValuationDatesReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to the associated valuation dates component defined elsewhere in the document. Implemented for Brazilian-CDI Swaps where it will refer to the settlemementProvision/nonDeliverableSettlement/fxFixingDate structure. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="paymentFrequency" type="Frequency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The frequency at which regular payment dates occur. If the payment frequency is equal to the frequency defined in the calculation period dates component then one calculation period contributes to each payment amount. If the payment frequency is less frequent than the frequency defined in the calculation period dates component then more than one calculation period will contribute to the payment amount. A payment frequency more frequent than the calculation period frequency or one that is not a multiple of the calculation period frequency is invalid. If the payment frequency is of value T (term), the period is defined by the swap\swapStream\calculationPerioDates\effectiveDate and the swap\swapStream\calculationPerioDates\terminationDate. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="firstPaymentDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The first unadjusted payment date. This day may be subject to adjustment in accordance with any business day convention specified in paymentDatesAdjustments. This element must only be included if there is an initial stub. This date will normally correspond to an unadjusted calculation period start or end date. This is true even if early or delayed payment is specified to be applicable since the actual first payment date will be the specified number of days before or after the applicable adjusted calculation period start or end date with the resulting payment date then being adjusted in accordance with any business day convention specified in paymentDatesAdjustments. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="lastRegularPaymentDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use of the pre-trade Credit Limit Check messages. The last regular unadjusted payment date. This day may be subject to adjustment in accordance with any business day convention specified in paymentDatesAdjustments. This element must only be included if there is a final stub. All calculation periods after this date contribute to the final payment. The final payment is made relative to the final set of calculation periods or the final reset date as the case may be. This date will normally correspond to an unadjusted calculation period start or end date. This is true even if early or delayed payment is specified to be applicable since the actual last regular payment date will be the specified number of days before or after the applicable adjusted calculation period start or end date with the resulting payment date then being adjusted in accordance with any business day convention specified in paymentDatesAdjustments. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="payRelativeTo" type="PayRelativeToEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use of the pre-trade Credit Limit Check messages. Specifies whether the payments occur relative to each adjusted calculation period start date, adjusted calculation period end date or each reset date. The reset date is applicable in the case of certain euro (former French Franc) floating rate indices. Calculation period start date means relative to the start of the first calculation period contributing to a given payment. Similarly, calculation period end date means the end of the last calculation period contributing to a given payment.The valuation date is applicable for Brazilian-CDI swaps. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="paymentDaysOffset" type="Offset"> <xsd:annotation> <xsd:documentation xml:lang="en"> If early payment or delayed payment is required, specifies the number of days offset that the payment occurs relative to what would otherwise be the unadjusted payment date. The offset can be specified in terms of either calendar or business days. Even in the case of a calendar days offset, the resulting payment date, adjusted for the specified calendar days offset, will still be adjusted in accordance with the specified payment dates adjustments. This element should only be included if early or delayed payment is applicable, i.e. if the periodMultiplier element value is not equal to zero. An early payment would be indicated by a negative periodMultiplier element value and a delayed payment (or payment lag) would be indicated by a positive periodMultiplier element value. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="paymentDatesAdjustments" type="BusinessDayAdjustments"> <xsd:annotation> <xsd:documentation xml:lang="en"> The business day convention to apply to each payment date if it would otherwise fall on a day that is not a business day in the specified financial business centers. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="PaymentDatesReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to a payment dates structure.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="PaymentDates" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PriceSourceDisruption"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with Credit Limit Check messages. A type defining the parameters used to get a price quote to replace the settlement rate option that is disrupted. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="fallbackReferencePrice" type="FallbackReferencePrice"> <xsd:annotation> <xsd:documentation xml:lang="en"> The method, prioritzed by the order it is listed in this element, to get a replacement rate for the disrupted settlement rate option. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PrincipalExchange"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with Credit Limit Check messages. A type defining a principal exchange amount and adjusted exchange date. The type forms part of the cashflow representation of a swap stream. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="unadjustedPrincipalExchangeDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedPrincipalExchangeDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The principal exchange date. This date should already be adjusted for any applicable business day convention. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="principalExchangeAmount" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The principal exchange amount. This amount should be positive if the stream payer is paying the exchange amount and signed negative if they are receiving it. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="discountFactor" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The value representing the discount factor used to calculate the present value of the principal exchange amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="presentValuePrincipalExchangeAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount representing the present value of the principal exchange. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="RelevantUnderlyingDateReference"> <xsd:annotation> <xsd:documentation>Reference to relevant underlying date.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ResetDates"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with Credit Limit Check messages. A type defining the parameters used to generate the reset dates schedule and associated fixing dates. The reset dates are determined relative to the calculation periods schedules dates. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="calculationPeriodDatesReference" type="CalculationPeriodDatesReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to the associated calculation period dates component defined elsewhere in the document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="resetRelativeTo" type="ResetRelativeToEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies whether the reset dates are determined with respect to each adjusted calculation period start date or adjusted calculation period end date. If the reset frequency is specified as daily this element must not be included. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="initialFixingDate" type="RelativeDateOffset"/> <xsd:element minOccurs="0" name="fixingDates" type="RelativeDateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fixing date relative to the reset date in terms of a business days offset and an associated set of financial business centers. Normally these offset calculation rules will be those specified in the ISDA definition for the relevant floating rate index (ISDA's Floating Rate Option). However, non-standard offset calculation rules may apply for a trade if mutually agreed by the principal parties to the transaction. The href attribute on the dateRelativeTo element should reference the id attribute on the resetDates element. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="rateCutOffDaysOffset" type="Offset"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the number of business days before the period end date when the rate cut-off date is assumed to apply. The financial business centers associated with determining the rate cut-off date are those specified in the reset dates adjustments. The rate cut-off number of days must be a negative integer (a value of zero would imply no rate cut off applies in which case the rateCutOffDaysOffset element should not be included). The relevant rate for each reset date in the period from, and including, a rate cut-off date to, but excluding, the next applicable period end date (or, in the case of the last calculation period, the termination date) will (solely for purposes of calculating the floating amount payable on the next applicable payment date) be deemed to be the relevant rate in effect on that rate cut-off date. For example, if rate cut-off days for a daily averaging deal is -2 business days, then the refix rate applied on (period end date - 2 days) will also be applied as the reset on (period end date - 1 day), i.e. the actual number of reset dates remains the same but from the rate cut-off date until the period end date, the same refix rate is applied. Note that in the case of several calculation periods contributing to a single payment, the rate cut-off is assumed only to apply to the final calculation period contributing to that payment. The day type associated with the offset must imply a business days offset. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="resetFrequency" type="ResetFrequency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The frequency at which reset dates occur. In the case of a weekly reset frequency, also specifies the day of the week that the reset occurs. If the reset frequency is greater than the calculation period frequency then this implies that more than one reset date is established for each calculation period and some form of rate averaging is applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="resetDatesAdjustments" type="BusinessDayAdjustments"> <xsd:annotation> <xsd:documentation xml:lang="en"> The business day convention to apply to each reset date if it would otherwise fall on a day that is not a business day in the specified financial business centers. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="required"/> </xsd:complexType> <xsd:complexType name="ResetDatesReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with Credit Limit Check messages. Reference to a reset dates component. </xsd:documentation> <!-- Needed for CLC <xsd:appinfo> <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> </xsd:appinfo>--> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="ResetDates" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="SettlementProvision"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with Credit Limit Check messages. A type defining the specification of settlement terms, occuring when the settlement currency is different to the notional currency of the trade. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="settlementCurrency" type="Currency"> <xsd:annotation> <xsd:documentation xml:lang="en"> The currency that stream settles in (to support swaps that settle in a currency different from the notional currency). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="nonDeliverableSettlement" type="NonDeliverableSettlement"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specification of the non-deliverable settlement provision. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="SinglePartyOption"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the buyer and seller of an option. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="BuyerSeller.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="StubCalculationPeriodAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining how the initial or final stub calculation period amounts is calculated. For example, the rate to be applied to the initial or final stub calculation period may be the linear interpolation of two different tenors for the floating rate index specified in the calculation period amount component, e.g. A two month stub period may used the linear interpolation of a one month and three month floating rate. The different rate tenors would be specified in this component. Note that a maximum of two rate tenors can be specified. If a stub period uses a single index tenor and this is the same as that specified in the calculation period amount component then the initial stub or final stub component, as the case may be, must not be included. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="calculationPeriodDatesReference" type="CalculationPeriodDatesReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with Credit Limit Check messages. A pointer style reference to the associated calculation period dates component defined elsewhere in the document. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> </xsd:element> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:element minOccurs="0" name="initialStub" type="StubValue"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies how the initial stub amount is calculated. A single floating rate tenor different to that used for the regular part of the calculation periods schedule may be specified, or two floating tenors may be specified. If two floating rate tenors are specified then Linear Interpolation (in accordance with the 2000 ISDA Definitions, Section 8.3. Interpolation) is assumed to apply. Alternatively, an actual known stub rate or stub amount may be specified. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="finalStub" type="StubValue"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies how the final stub amount is calculated. A single floating rate tenor different to that used for the regular part of the calculation periods schedule may be specified, or two floating tenors may be specified. If two floating rate tenors are specified then Linear Interpolation (in accordance with the 2000 ISDA Definitions, Section 8.3. Interpolation) is assumed to apply. Alternatively, an actual known stub rate or stub amount may be specified. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Swap"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining swap streams and additional payments between the principal parties involved in the swap. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element maxOccurs="2" minOccurs="0" name="swapStream" type="InterestRateStream"> <xsd:annotation> <xsd:documentation xml:lang="en">The swap streams.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="earlyTerminationProvision" type="EarlyTerminationProvision"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with Credit Limit Check messages. Parameters specifying provisions relating to the optional and mandatory early terminarion of a swap transaction. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="cancelableProvision" type="CancelableProvision"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with Credit Limit Check messages. A provision that allows the specification of an embedded option within a swap giving the buyer of the option the right to terminate the swap, in whole or in part, on the early termination date. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="extendibleProvision" type="ExtendibleProvision"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with Credit Limit Check messages. A provision that allows the specification of an embedded option with a swap giving the buyer of the option the right to extend the swap, in whole or in part, to the extended termination date. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalPayment" type="Payment"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with Credit Limit Check messages. Additional payments between the principal parties. </xsd:documentation> <!-- Needed in pre-trade for CLC <!-\-IY: ETTF pretrade IRS and CDS-\-> <view:skip view="pretrade" rationale="Unsupported"/> --> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="additionalTerms" type="SwapAdditionalTerms"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with Credit Limit Check messages. Contains any additional terms to the swap contract. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="SwapAdditionalTerms"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with Credit Limit Check messages. Additional terms to a swap contract. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="bondReference" type="BondReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to a bond underlyer to represent an asset swap or Condition Precedent Bond. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED Swaption - Unsupported--> <!--View Generation: SKIPPED SwaptionAdjustedDates - DateAdjustments--> <!--View Generation: SKIPPED SwaptionPhysicalSettlement - Documentation--> <xsd:complexType name="ValuationDatesReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> For use with pre-trade Credit Limit Check messages. Reference to a Valuation dates node. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="FxFixingDate" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ValuationPostponement"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies how long to wait to get a quote from a settlement rate option upon a price source disruption. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="maximumDaysOfPostponement" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> The maximum number of days to wait for a quote from the disrupted settlement rate option before proceding to the next method. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="YieldCurveMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the parameters required for each of the ISDA defined yield curve methods for cash settlement. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="settlementRateSource" type="SettlementRateSource"> <xsd:annotation> <xsd:documentation xml:lang="en"> The method for obtaining a settlement rate. This may be from some information source (e.g. Reuters) or from a set of reference banks. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quotationRateType" type="QuotationRateTypeEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> Which rate quote is to be observed, either Bid, Mid, Offer or Exercising Party Pays. The meaning of Exercising Party Pays is defined in the 2000 ISDA Definitions, Section 17.2. Certain Definitions Relating to Cash Settlement, paragraph (j) </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <!--View Generation: SKIPPED bulletPayment - Unsupported--> <!--View Generation: SKIPPED capFloor - Unsupported--> <xsd:element name="floatingRateCalculation" substitutionGroup="rateCalculation" type="FloatingRateCalculation"> <xsd:annotation> <xsd:documentation xml:lang="en">A floating rate calculation definition.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED fra - Unsupported--> <!--View Generation: SKIPPED inflationRateCalculation - Unsupported--> <xsd:element abstract="true" name="rateCalculation" type="Rate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The base element for the floating rate calculation definitions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="swap" substitutionGroup="product" type="Swap"> <xsd:annotation> <xsd:documentation xml:lang="en">A swap product definition.</xsd:documentation> </xsd:annotation> </xsd:element> <!--View Generation: SKIPPED swaption - Unsupported--> <xsd:group name="DiscountRate.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Model group enforces association of day count fraction with the discount rate. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="discountRate" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> A discount rate, expressed as a decimal, to be used in the calculation of a discounted amount. A discount amount of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="discountRateDayCountFraction" type="DayCountFraction"> <xsd:annotation> <xsd:documentation xml:lang="en"> A discount day count fraction to be used in the calculation of a discounted amount. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="MandatoryEarlyTermination.model"> <xsd:choice> <!--View Generation: SKIPPED mandatoryEarlyTermination - Technical--> <xsd:sequence> <xsd:element minOccurs="0" name="mandatoryEarlyTerminationDateTenor" type="Period"> <xsd:annotation> <xsd:documentation xml:lang="en"> Period after trade date of the mandatory early termination date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="mandatoryEarlyTermination" type="MandatoryEarlyTermination"> <xsd:annotation> <xsd:documentation xml:lang="en"> A mandatory early termination provision to terminate the swap at fair value. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> </xsd:group> <xsd:group name="OptionalEarlyTermination.model"> <xsd:choice> <!--View Generation: SKIPPED optionalEarlyTermination - Technical--> <xsd:sequence> <xsd:element minOccurs="0" name="optionalEarlyTerminationParameters" type="ExercisePeriod"> <xsd:annotation> <xsd:documentation xml:lang="en"> Definition of the first early termination date and the frequency of the termination dates subsequent to that. American exercise is defined by having a frequency of one day. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="optionalEarlyTermination" type="OptionalEarlyTermination"> <xsd:annotation> <xsd:documentation xml:lang="en"> An option for either or both parties to terminate the swap at fair value. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> </xsd:group> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.